
for DIRNAME in */ ; do

    printf "Changing to $DIRNAME\n"
    
    cd "$DIRNAME"

    printf "Removing previous preview files..."
    rm *_PREVIEW.png
    printf "Done.\n"

    printf "Converting all WMF files to JPG with annotation...\n\n"

    for WMFIMG in *.wmf ; do
	WMFNAME=`basename $WMFIMG .wmf`

        printf "Converting $WMFIMG to $WMFNAME-preview.jpg..."
        convert $WMFIMG $WMFNAME-preview.jpg 

	printf "Adding annotations..."
        mogrify -font Helvetica-Bold -pointsize 32 -draw "gravity north fill black text 0,12 'PREVIEW' fill red text 1,11 'PREVIEW'" $WMFNAME-preview.jpg
	mogrify -font Helvetica -pointsize 20 -draw "gravity south fill black text 0,12 'Do not print' fill red text 1,11 'Do not print'" $WMFNAME-preview.jpg
        printf "Done.\n"
    done
    
    printf "Done with $DIRNAME folder.\n"
    cd ..

done
